Page 3 of 26

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Fri Mar 11, 2016 7:40 pm
by pradeepsharma
Thanks for this nice script...
But Can you tell me how to enable opcache..
i dont find opcache is enable in your script or complied with php7..

it would be highly appreciated if you can either tell me the way to enable it or upgrade the script to install php7 with opcache..
regards

Pradeep

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Fri Mar 11, 2016 8:22 pm
by skamasle
pradeepsharma wrote:Thanks for this nice script...
But Can you tell me how to enable opcache..
i dont find opcache is enable in your script or complied with php7..

it would be highly appreciated if you can either tell me the way to enable it or upgrade the script to install php7 with opcache..
regards

Pradeep
Hi

You can install any modules using remi repo

Search it:

Code: Select all

yum search php70 --enablerepo=remi |grep opcache
#output:
php70-php-opcache.x86_64 : The Zend OPcache
Install:

Code: Select all

yum install php70-php-opcache --enablerepo=remi
Then search ini:

Code: Select all

/usr/bin/php70 --ini |grep opcache
Additional .ini files parsed:      /etc/opt/remi/php70/php.d/10-opcache.ini,

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Sat Mar 12, 2016 12:19 am
by imperio
baijianpeng wrote:hi, VestaCP team is working on "multiple php version" feature, see:

https://bugs.vestacp.com/issues/102

and this:

https://bugs.vestacp.com/issues/103

Hope you can join them and make this feature more powerful and easier.

Thank you.
You can vote for this issues in our bug tracker

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Thu Mar 17, 2016 1:03 pm
by baijianpeng
Hi, @skamasle,

Is the 0.2.3 version the latest version? I am planning to use this script on my live server, but I am afraid if VestaCP team publish a new version with another way of "multiple PHP selector", then what should I do? Will there be any conflicts?

Did you contacted VestaCP team to "merge" your ideas about "multi-php selector" to one single solution?

Thank you.

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Thu Mar 17, 2016 7:18 pm
by skamasle
baijianpeng wrote:Hi, @skamasle,

Is the 0.2.3 version the latest version? I am planning to use this script on my live server, but I am afraid if VestaCP team publish a new version with another way of "multiple PHP selector", then what should I do? Will there be any conflicts?

Did you contacted VestaCP team to "merge" your ideas about "multi-php selector" to one single solution?

Thank you.
Yes is latest, I will add simlinks to php.inis and somethink more but not yet ( I need make a uninstaller also ), and I testhing somethings in fcgi configs to improve performance I dont like vestacp default configuration for fastcgi, Im working on php selector for nginx and some scripts to add it to ubuntu / debian.

If you one day want to remove additional versions you can do it, only need change php versions for all site, remove templates, uninstall aditional php version is easy.

I dont have news from vestacp team, I wait some news from it about php selector, I dont know if they will do support for nginx or not, and what changes has new vestacp version on v-change-web-domain-backend because I testing whit PHP selector for nginx and I do a lot of changes on that files and some orthers in my first testings.

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Fri Mar 18, 2016 12:47 am
by baijianpeng
I hope you contact VestaCP team (or join them and become one of them), to avoid "two similar projects", that is a waste of developing efforts.

Thank you.

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Wed Mar 23, 2016 3:33 am
by baijianpeng
Today I tried to change the Web Template for the domain I created on my testing server (VirtualBox), but I got "Error Code: 12" when I clicked the "Save" button.

Ok, I want to manually change this template from one of those configuration files.

But, I do not know which file should I modify to change the Web Template for a certain domain?

Thank you.

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Wed Mar 23, 2016 12:33 pm
by dsystem
skamasle , congratulations on this implementation ...

Waiting Ubuntu version. Do you have any forecast of how soon can you be ready?

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Wed Mar 23, 2016 7:03 pm
by skamasle
baijianpeng wrote:Today I tried to change the Web Template for the domain I created on my testing server (VirtualBox), but I got "Error Code: 12" when I clicked the "Save" button.

Ok, I want to manually change this template from one of those configuration files.

But, I do not know which file should I modify to change the Web Template for a certain domain?

Thank you.
I dont understand your commnet,
You create a new template if not that template you select ?

You can change templates from cli v-change-web-domain-tpl

What SO you use ?

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Wed Mar 23, 2016 7:06 pm
by skamasle
dsystem wrote: skamasle , congratulations on this implementation ...

Waiting Ubuntu version. Do you have any forecast of how soon can you be ready?
Hi

I dont know, I wait vestateam for news about php selector.

If you use ubuntu 14 you can easy run php 7 and php 5.6 / php 5.5 if you compile it, I have some script to do that ( compiling and install new templates ) so if you whant test it on your test server I can upload it..

Thanks you :)